pidgin: debug.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Enumerations
debug.h File Reference
libpurple

Debug API. More...

`#include <glib.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Data Structures
struct | PurpleDebugUiOps
| Debug UI operations. More...

## Enumerations
enum | PurpleDebugLevel { PURPLE_DEBUG_ALL = 0 , PURPLE_DEBUG_MISC , PURPLE_DEBUG_INFO , PURPLE_DEBUG_WARNING , PURPLE_DEBUG_ERROR , PURPLE_DEBUG_FATAL }
| Debug levels. More...

## Functions
Debug API <br>
void | purple_debug (PurpleDebugLevel level, const char *category, const char *format,...) G_GNUC_PRINTF(3
| Outputs debug information.
void void | purple_debug_misc (const char *category, const char *format,...) G_GNUC_PRINTF(2
| Outputs misc.
void void void | purple_debug_info (const char *category, const char *format,...) G_GNUC_PRINTF(2
| Outputs info level debug information.
void void void void | purple_debug_warning (const char *category, const char *format,...) G_GNUC_PRINTF(2
| Outputs warning level debug information.
void void void void void | purple_debug_error (const char *category, const char *format,...) G_GNUC_PRINTF(2
| Outputs error level debug information.
void void void void void void | purple_debug_fatal (const char *category, const char *format,...) G_GNUC_PRINTF(2
| Outputs fatal error level debug information.
void void void void void void void | purple_debug_set_enabled (gboolean enabled)
| Enable or disable printing debug output to the console.
gboolean | purple_debug_is_enabled (void)
| Check if console debug output is enabled.
void | purple_debug_set_verbose (gboolean verbose)
| Enable or disable verbose debugging.
gboolean | purple_debug_is_verbose (void)
| Check if verbose logging is enabled.
void | purple_debug_set_unsafe (gboolean unsafe)
| Enable or disable unsafe debugging.
gboolean | purple_debug_is_unsafe (void)
| Check if unsafe debugging is enabled.
UI Registration Functions <br>
void | purple_debug_set_ui_ops (PurpleDebugUiOps *ops)
| Sets the UI operations structure to be used when outputting debug information.
PurpleDebugUiOps * | purple_debug_get_ui_ops (void)
| Returns the UI operations structure used when outputting debug information.
Debug Subsystem <br>
void | purple_debug_init (void)
| Initializes the debug subsystem.

## Detailed Description

Debug API.

Definition in file debug.h.

## Enumeration Type Documentation

## ◆ PurpleDebugLevel

enum PurpleDebugLevel

Debug levels.

Enumerator
PURPLE_DEBUG_ALL | All debug levels.
PURPLE_DEBUG_MISC | General chatter.
PURPLE_DEBUG_INFO | General operation Information.
PURPLE_DEBUG_WARNING | Warnings.
PURPLE_DEBUG_ERROR | Errors.
PURPLE_DEBUG_FATAL | Fatal errors.

Definition at line 35 of file debug.h.

## Function Documentation

## ◆ purple_debug()

void purple_debug | ( | PurpleDebugLevel | level,
|  | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs debug information.

Parameters

  level | The debug level.
  category | The category (or `NULL`).
  format | The format string.

## ◆ purple_debug_error()

void void void void void purple_debug_error | ( | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs error level debug information.

This is a wrapper for purple_debug(), and uses PURPLE_DEBUG_ERROR as the level.

Parameters

  category | The category (or `NULL`).
  format | The format string.

See also
  purple_debug()

## ◆ purple_debug_fatal()

void void void void void void purple_debug_fatal | ( | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs fatal error level debug information.

This is a wrapper for purple_debug(), and uses PURPLE_DEBUG_ERROR as the level.

Parameters

  category | The category (or `NULL`).
  format | The format string.

See also
  purple_debug()

## ◆ purple_debug_get_ui_ops()

PurpleDebugUiOps * purple_debug_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure used when outputting debug information.

Returns
  The UI operations structure in use.

## ◆ purple_debug_info()

void void void purple_debug_info | ( | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs info level debug information.

This is a wrapper for purple_debug(), and uses PURPLE_DEBUG_INFO as the level.

Parameters

  category | The category (or `NULL`).
  format | The format string.

See also
  purple_debug()

## ◆ purple_debug_is_enabled()

gboolean purple_debug_is_enabled | ( | void |  | ) |

Check if console debug output is enabled.

Returns
  TRUE if debugging is enabled, FALSE if it is not.

## ◆ purple_debug_is_unsafe()

gboolean purple_debug_is_unsafe | ( | void |  | ) |

Check if unsafe debugging is enabled.

Defaults to FALSE.

Returns
  TRUE if the debug logging of all messages is enabled, FALSE if messages that could potentially contain passwords and other sensitive information are not logged.

Since
  2.6.0

## ◆ purple_debug_is_verbose()

gboolean purple_debug_is_verbose | ( | void |  | ) |

Check if verbose logging is enabled.

Returns
  TRUE if verbose debugging is enabled, FALSE if it is not.

Since
  2.6.0

## ◆ purple_debug_misc()

void void purple_debug_misc | ( | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs misc.

level debug information.

This is a wrapper for purple_debug(), and uses PURPLE_DEBUG_MISC as the level.

Parameters

  category | The category (or `NULL`).
  format | The format string.

See also
  purple_debug()

## ◆ purple_debug_set_enabled()

void void void void void void void purple_debug_set_enabled | ( | gboolean | enabled | ) |

Enable or disable printing debug output to the console.

Parameters

  enabled | TRUE to enable debug output or FALSE to disable it.

## ◆ purple_debug_set_ui_ops()

void purple_debug_set_ui_ops | ( | PurpleDebugUiOps * | ops | ) |

Sets the UI operations structure to be used when outputting debug information.

Parameters

  ops | The UI operations structure.

## ◆ purple_debug_set_unsafe()

void purple_debug_set_unsafe | ( | gboolean | unsafe | ) |

Enable or disable unsafe debugging.

This ordinarily should only be called by purple_debug_init, but there are cases where this can be useful for plugins.

Parameters

  unsafe | TRUE to enable debug logging of messages that could potentially contain passwords and other sensitive information. FALSE to disable it.

Since
  2.6.0

## ◆ purple_debug_set_verbose()

void purple_debug_set_verbose | ( | gboolean | verbose | ) |

Enable or disable verbose debugging.

This ordinarily should only be called by purple_debug_init, but there are cases where this can be useful for plugins.

Parameters

  verbose | TRUE to enable verbose debugging or FALSE to disable it.

Since
  2.6.0

## ◆ purple_debug_warning()

void void void void purple_debug_warning | ( | const char * | category,
|  | const char * | format,
|  |  | ...
| ) |  |

Outputs warning level debug information.

This is a wrapper for purple_debug(), and uses PURPLE_DEBUG_WARNING as the level.

Parameters

  category | The category (or `NULL`).
  format | The format string.

See also
  purple_debug()